<?
$stmp.="<p style=\"font-weight:bold; text-align:left; color:red\"/>Новости игры</p>";
$file = @file('data/news.dat');
if (!$file) {$stmp.='Новостей нет';} else {
$total=count($file);
$file = array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){
$udata = explode('||',$file[$i]);
$stmp.='<b>'.$udata[0].'</b> ['.$udata[1].']<br>'.$udata[2].'<br>Разместил: <b>'.$udata[3].'</b><br><br>';
}
if ($start != 0) {$stmp.="<a href=\"$PHP_SELF?site=news&start=".($start - 5)."\">Назад</a>";}
if ($total > $start + 5) {$stmp.=" <a href=\"$PHP_SELF?site=news&start=".($start + 5)."\">Далее</a>";}
$stmp.='<br><a href=\'?site=connect\'>Назад</a>';
}
msg($stmp,'Новости',0,'none');
?>